searchNodes=[{"ref":"Snor.html","title":"Snor","type":"module","doc":"Snor is a fast and simple implementation of Mustache style templating for Elixir. Snor also has support for executing functions."},{"ref":"Snor.html#render/3","title":"Snor.render/3","type":"function","doc":"Render a given template to a string. The second parameter is the map that contains the data to use for interpolation. The third parameter is the module to use for looking up the helper functions. Examples iex&gt; Snor.render(&quot;Hello {{name}}&quot;, %{name: &quot;World&quot;}) &quot;Hello World&quot; iex&gt; Snor.render(&quot;Hello&quot;) &quot;Hello&quot;"},{"ref":"Snor.Compiler.html","title":"Snor.Compiler","type":"module","doc":"THIS IS EXPERIMENTAL, AND MOSTLY FOR ME TO PLAY AROUND WITH. DO NOT USE"},{"ref":"Snor.Compiler.html#compile/1","title":"Snor.Compiler.compile/1","type":"function","doc":"Experimental"},{"ref":"Snor.Executor.html","title":"Snor.Executor","type":"module","doc":"Module for executing a list of parsed nodes."},{"ref":"Snor.Executor.html#execute/3","title":"Snor.Executor.execute/3","type":"function","doc":"Convert a list of tokens into a string"},{"ref":"Snor.Executor.html#t:data/0","title":"Snor.Executor.data/0","type":"type","doc":"The map provided to the template"},{"ref":"Snor.Helpers.html","title":"Snor.Helpers","type":"module","doc":"Basic set of helpers. This out of the box helpers module is fairly useless, and is expected that the user injects their own helpers."},{"ref":"Snor.Helpers.html#multiply/2","title":"Snor.Helpers.multiply/2","type":"function","doc":""},{"ref":"Snor.Helpers.html#upcase/2","title":"Snor.Helpers.upcase/2","type":"function","doc":""},{"ref":"Snor.Parser.html","title":"Snor.Parser","type":"module","doc":"Convert a string into an intermediate representation - a list of nodes. A node could be one of (mainly) - A plaintext node A function node A block node An interpolation node"},{"ref":"Snor.Parser.html#parse/1","title":"Snor.Parser.parse/1","type":"function","doc":"Parse a string into a list of nodes Examples iex&gt; Snor.Parser.parse(&quot;Hello&quot;) [%{plaintext: &quot;Hello&quot;}] iex&gt; Snor.Parser.parse(&quot;{{name}}&quot;) [%{interpolation: &quot;name&quot;}] iex&gt; Snor.Parser.parse(&quot;{{upcase item=&#39;Jane&#39;}}&quot;) [%{arguments: [%{key: &quot;item&quot;, value: [%{plaintext: &quot;Jane&quot;}]}], function: &quot;upcase&quot;}] iex&gt; Snor.Parser.parse(&quot;{{#person}}{{name}}{{/person}}&quot;) [%{children: [%{interpolation: &quot;name&quot;}], negative: false, with_scope: &quot;person&quot;}]"},{"ref":"Snor.Parser.html#t:argument_pair/0","title":"Snor.Parser.argument_pair/0","type":"type","doc":"An argument pair"},{"ref":"Snor.Parser.html#t:block_node/0","title":"Snor.Parser.block_node/0","type":"type","doc":"A block node"},{"ref":"Snor.Parser.html#t:function_node/0","title":"Snor.Parser.function_node/0","type":"type","doc":"A function node"},{"ref":"Snor.Parser.html#t:interpolation_node/0","title":"Snor.Parser.interpolation_node/0","type":"type","doc":"An interpolation node"},{"ref":"Snor.Parser.html#t:parse_result/0","title":"Snor.Parser.parse_result/0","type":"type","doc":"The result of a parse_* operation"},{"ref":"Snor.Parser.html#t:parsed_node/0","title":"Snor.Parser.parsed_node/0","type":"type","doc":"A parsed node"},{"ref":"Snor.Parser.html#t:parser/0","title":"Snor.Parser.parser/0","type":"type","doc":"A parser"},{"ref":"Snor.Parser.html#t:plaintext_node/0","title":"Snor.Parser.plaintext_node/0","type":"type","doc":"A plaintext node"},{"ref":"Snor.Parser.html#t:remaining_tokens/0","title":"Snor.Parser.remaining_tokens/0","type":"type","doc":"Represents remaining tokens after a node was parsed and extracted"},{"ref":"Snor.Parser.html#t:token/0","title":"Snor.Parser.token/0","type":"type","doc":"A grapheme from the template that was passed in"},{"ref":"Snor.Utils.html","title":"Snor.Utils","type":"module","doc":"Util functions to be used internally"},{"ref":"Snor.Utils.html#deep_get/3","title":"Snor.Utils.deep_get/3","type":"function","doc":"Get a deeply nested value from a map Examples iex&gt; Snor.Utils.deep_get(%{&quot;a&quot; =&gt; 1}, &quot;a&quot;, &quot;&quot;) 1 iex&gt; Snor.Utils.deep_get(%{&quot;a&quot; =&gt; %{&quot;b&quot; =&gt; :ok}}, &quot;a.b&quot;, :error) :ok iex&gt; Snor.Utils.deep_get(%{}, &quot;a.b&quot;, &quot;NOT_FOUND&quot;) &quot;NOT_FOUND&quot;"},{"ref":"Snor.Utils.html#deep_stringify/1","title":"Snor.Utils.deep_stringify/1","type":"function","doc":"Given a map, stringify all the keys Examples iex&gt; Snor.Utils.deep_stringify(%{}) %{} iex&gt; Snor.Utils.deep_stringify(%{a: 4}) %{&quot;a&quot; =&gt; 4} iex&gt; Snor.Utils.deep_stringify(%{a: [%{b: 1}]}) %{&quot;a&quot; =&gt; [%{&quot;b&quot; =&gt; 1}]}"}]